.element-banner-inner {
  position: relative;
  z-index: 3;
}

.element-banner-inner .element-banner-text {
  min-height: 250px;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

@media (min-width: 768px) {
  .element-banner-inner .element-banner-text {
    min-height: 350px;
  }
}

@media (min-width: 992px) {
  .element-banner-inner .element-banner-text {
    min-height: 450px;
  }
}

.banner-height-tall .element-banner-text {
  min-height: 450px;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
}

@media (min-width: 768px) {
  .banner-height-tall .element-banner-text {
    min-height: 550px;
  }
}

@media (min-width: 992px) {
  .banner-height-tall .element-banner-text {
    min-height: 650px;
  }
}

.banner-overlay-dark:before,
.banner-overlay-very-dark:before,
.banner-overlay-light:before,
.banner-overlay-very-light:before {
  content: ' ';
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}

.banner-overlay-dark.banner-overlay-dark:before,
.banner-overlay-very-dark.banner-overlay-dark:before,
.banner-overlay-light.banner-overlay-dark:before,
.banner-overlay-very-light.banner-overlay-dark:before {
  background: rgba(0, 0, 0, 0.3);
}

.banner-overlay-dark.banner-overlay-very-dark:before,
.banner-overlay-very-dark.banner-overlay-very-dark:before,
.banner-overlay-light.banner-overlay-very-dark:before,
.banner-overlay-very-light.banner-overlay-very-dark:before {
  background: rgba(0, 0, 0, 0.6);
}

.banner-overlay-dark.banner-overlay-light:before,
.banner-overlay-very-dark.banner-overlay-light:before,
.banner-overlay-light.banner-overlay-light:before,
.banner-overlay-very-light.banner-overlay-light:before {
  background: rgba(255, 255, 255, 0.5);
}

.banner-overlay-dark.banner-overlay-very-light:before,
.banner-overlay-very-dark.banner-overlay-very-light:before,
.banner-overlay-light.banner-overlay-very-light:before,
.banner-overlay-very-light.banner-overlay-very-light:before {
  background: rgba(255, 255, 255, 0.8);
}
